import Img, { FluidObject } from 'gatsby-image';
import React, { memo } from 'react';

import styled from '@emotion/styled';

import { useAnyImage } from '../hooks';

type ContainerProps = {};
type Props = { background?: FluidObject } & ContainerProps;

const Component: React.FCX<Props> = memo(({ className, background }) => (
  <div className={className}>
    <Img fluid={background} />
  </div>
));

const StyledComponent = styled(Component)`
  > .gatsby-image-wrapper {
    position: relative;
    width: 100%;
    height: 75vh;

    ::after {
      position: absolute;
      top: 0;
      left: 0;
      width: 100%;
      height: 100%;
      content: '';
      background-color: #09090f;
      opacity: 0.2;
    }
    > img,
    > picture {
      position: absolute;
      top: -25vh;
      width: 100%;
      height: 100vh;
    }
  }
  @media screen and (max-width: 1100px) {
  }
  @media screen and (max-width: 768px) {
  }
  @media screen and (max-width: 480px) {
  }
  @media screen and (max-height: 430px) {
  }
`;

const Container: React.FCX<ContainerProps> = () => {
  const background = useAnyImage('background.png') || useAnyImage('background.jpg');
  return <StyledComponent background={background} />;
};

export default memo(Container);
